### Method

# AppStreamCompose Result get_component_gcids

#### Declaration [src]

    const gchar**
    asc_result_get_component_gcids (
      AscResult* result
    )

#### Description [src]

Retrieve a list of all global component-IDs that this result knows of.

#### Return value

Type: An array of `utf8`

An array of global component IDs. Free with %g_free.

The array is `NULL`-terminated.
The caller of the method takes ownership of the returned data container, but not the data inside it.
Each element is a NUL terminated UTF-8 string.